DynamicJava Javadoc: Class MemberIdentifier

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## koala.dynamicjava.classfile
Class MemberIdentifier

    java.lang.Object
      |
      +--koala.dynamicjava.classfile.MemberIdentifier

Direct Known Subclasses:
  AbstractMethodIdentifier, FieldIdentifier

public abstract class MemberIdentifier
extends java.lang.Object

The classes derived from this one are used to represents class members

Constructor Summary
`MemberIdentifier(java.lang.String dc, java.lang.String n, java.lang.String t)` Initializes the identifier

Method Summary
`boolean` | `equals(java.lang.Object other)` Indicates whether some other object is equal to this one
`java.lang.String` | `getDeclaringClass()` Returns the declaring class of this member
`java.lang.String` | `getName()` Returns the name of this member
`java.lang.String` | `getType()` Returns the type of this member in JVM format
`int` | `hashCode()` Returns a hash code value for this object

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MemberIdentifier

    public MemberIdentifier(java.lang.String dc,
                            java.lang.String n,
                            java.lang.String t)

  Initializes the identifier
  Parameters:
    `dc` - the declaring class of this member
    `n` - the name of this member
    `t` - the type of this member in JVM format

Method Detail

### getDeclaringClass

    public java.lang.String getDeclaringClass()

  Returns the declaring class of this member

### getName

    public java.lang.String getName()

  Returns the name of this member

### getType

    public java.lang.String getType()

  Returns the type of this member in JVM format

### equals

    public boolean equals(java.lang.Object other)

  Indicates whether some other object is equal to this one
  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Returns a hash code value for this object
  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Stephane Hillion. All Rights Reserved.